export class RemoteGetTransactionList {
  constructor(url, httpGetClient) {
    this.url = url;
    this.httpGetClient = httpGetClient;
  }
  async get(params) {
    const httpResponse = await this.httpGetClient.get({
      url: this.url,
      query: params,
      headers: {
        "Content-Type": "application/json",
        "Accept": "application/json"
      },
    });
    return httpResponse;
  }
}
