export class AppDate extends Date {
  constructor() {
    super(...arguments);
    this.shortMonthNames = [
      "Jan", "Feb", "Mar", "Apr", "May", "Jun",
      "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
    ];
  }
  toStandardDate() {
    var mm = this.getMonth() + 1;
    var dd = this.getDate();
    return [this.getFullYear(), '-',
      (mm > 9 ? '' : '0') + mm, '-',
      (dd > 9 ? '' : '0') + dd
    ].join('');
  }
  toDateMonthStr() {
    var dd = this.getDate();
    return [
      (dd > 9 ? '' : '0') + dd, ", ",
      this.shortMonthNames[this.getMonth()]
    ].join('');
  }
}
