'use strict';

const index = require('./index-4fbdaedc.js');

/*
 Stencil Client Patch Browser v2.5.2 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('wallet-web-components.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["account-summary-component_6.cjs",[[1,"wallet-component"],[0,"account-transaction-list-component-factory"],[0,"account-summary-component-factory"],[0,"account-transaction-list-component",{"getAccountTransactionList":[16],"loading":[32],"transactions":[32]}],[0,"account-summary-component",{"getAccountSummary":[16],"loading":[32],"summary":[32]}],[0,"account-transaction-component",{"transaction":[16]}]]]], options);
});
