import { p as promiseResolve, b as bootstrapLazy } from './index-36056e77.js';

/*
 Stencil Client Patch Browser v2.5.2 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["account-summary-component_6",[[1,"wallet-component"],[0,"account-transaction-list-component-factory"],[0,"account-summary-component-factory"],[0,"account-transaction-list-component",{"getAccountTransactionList":[16],"loading":[32],"transactions":[32]}],[0,"account-summary-component",{"getAccountSummary":[16],"loading":[32],"summary":[32]}],[0,"account-transaction-component",{"transaction":[16]}]]]], options);
});
