import { Result } from "../../domain/models/result";
import { GetAccountSummary } from "../../domain/usages/get-account-sumary";
import { HttpGetClient } from "../protocols/http/http-get-client";
export declare class RemoteGetAccountSummary implements GetAccountSummary {
  private readonly url;
  private readonly httpGetClient;
  constructor(url: string, httpGetClient: HttpGetClient);
  summary(params: GetAccountSummary.Params): Promise<Result>;
}
